<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>The Big Journey</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
</head>
<body>
    <div class="container">
        <h1>Fantastic Library</h1>
        <table class="table">
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Year</th>
                <th>Author</th>
                <th>Genre</th>
                <th></th>
            </tr>
            {% for book in books %}
            <tr>
                <th>{{book[0]}}</th>
                <th>{{book[1]}}</th>
                <th>
                    {% with year=book[2] %}
                        <a href="/year/{{year}}/">{{year}}</a>
                    {% endwith %}
                </th>
                <th>
                    {% with author=get_by_id('author', book[3]) %}
                        <a href="/author/{{author[0]}}/">{{author[1]}}</a>
                    {% endwith %}
                </th>
                <th>
                    {% with genre=get_by_id('genre', book[4]) %}
                        <a href="/genre/{{genre[0]}}/">{{genre[1]}}</a>
                    {% endwith %}
                </th>
            </tr>
            {% endfor %}
        </table>
    </div>
</body>
</html>